#!/bin/bash

MODULE=libkdeaccessibilityclient
TARBALL=qaccessibilityclient
BRANCH=master
VERSION=0.1.0
DATE=$(date +%Y%m%d)

set -x

rm -rf $MODULE

git clone git://anongit.kde.org/$MODULE $MODULE
pushd $MODULE
git archive ${BRANCH} --format tar --prefix=${TARBALL}-${VERSION}/ | xz -9 > ../${TARBALL}-${VERSION}-${DATE}.tar.xz
popd

rm -rf $MODULE
